--- /dev/null	Wed Apr  1 15:57:37 2015
+++ new/usr/src/lib/zlib/zlib.p5m-Oracle	Wed Apr  1 15:57:37 2015
@@ -0,0 +1,58 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright (c) 2011, 2015, Oracle and/or its affiliates. All rights reserved.
+#
+
+<transform file path=usr.*/man/.+ -> default mangler.man.stability committed>
+set name=pkg.fmri \
+    value=pkg:/library/zlib@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
+set name=pkg.summary value="The Zip compression library"
+set name=com.oracle.info.description value="the zip compression library"
+set name=com.oracle.info.tpno value=$(TPNO)
+set name=info.classification \
+    value=org.opensolaris.category.2008:System/Libraries
+set name=info.source-url value=$(COMPONENT_ARCHIVE_URL)
+set name=info.upstream-url value=$(COMPONENT_PROJECT_URL)
+set name=org.opensolaris.arc-caseid value=PSARC/2006/537
+set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
+#
+link path=lib/$(MACH64)/libz.so target=libz.so.1
+file usr/lib/$(MACH64)/libz.so.1 path=lib/$(MACH64)/libz.so.1
+file usr/lib/$(MACH64)/llib-lz.ln path=lib/$(MACH64)/llib-lz.ln
+link path=lib/libz.so target=libz.so.1
+file usr/lib/libz.so.1 path=lib/libz.so.1
+file usr/lib/llib-lz.ln path=lib/llib-lz.ln
+file path=usr/include/zconf.h
+file path=usr/include/zlib.h
+link path=usr/lib/$(MACH64)/libz.so target=libz.so.1
+link path=usr/lib/$(MACH64)/libz.so.1 target=../../../lib/$(MACH64)/libz.so.1
+link path=usr/lib/$(MACH64)/llib-lz.ln target=../../../lib/$(MACH64)/llib-lz.ln
+link path=usr/lib/libz.so target=./libz.so.1
+link path=usr/lib/libz.so.1 target=../../lib/libz.so.1
+file path=usr/lib/llib-lz
+link path=usr/lib/llib-lz.ln target=../../lib/llib-lz.ln
+file usr/share/man/man3/zlib.3 path=usr/share/man/man3/libz.3
+file zlib.3.sunman path=usr/share/man/man3/zlib.3
+#
+legacy pkg=SUNWzlib desc="The Zip compression library" \
+    name="The Zip compression library"
+#
+license zlib.license license="zlib license"
